﻿/*         */
/* Details */
/*         */

#details {
    padding: 0;
    margin-top: 80px;
    margin-bottom: 80px;
}

#details .gallery .picture img {
    width: 100%;
    border-radius: 5px;
}

#details .gallery .list {
    margin-top: 10px;
    white-space: nowrap;
    overflow-y: scroll;
    scrollbar-width: none;
    font-size: 0;
}

#details .gallery .item {
    display: inline-block;
    margin: 6px;
    cursor: pointer;
}

#details .gallery .item:first-child {
    margin-right: 0;
}

#details .gallery .item:last-child {
    margin-left: 0;
}

#details .gallery .item img {
    width: 110px;
    border-radius: 5px;
}

#details .product .path {
    display: block;
    margin-top: 50px;
    font-size: 14px;
    color: var(--c-theme-1);
}

#details .product .name {
    margin: 0;
    max-width: 60%;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    font-size: 28px;
}

#details .product .price-current {
    font-family: var(--f-family-1);
    font-size: 28px;
}

#details .product .price-original {
    font-family: var(--f-family-1);
    font-size: 18px;
    color: var(--c-foreground-2);
}

#details .product .currency {
    margin-right: 4px;
    font-size: 16px;
    color: var(--c-foreground-2);
}

#details .product .discount {
    margin-top: 5px;
    padding: 2px;
    width: 52px;
    direction: ltr;
    text-align: center;
    border: 1px solid var(--c-foreground-2);
    border-radius: 12px;
    font-size: 12px;
    color: var(--c-foreground-2);
}

#details .product .description {
    margin-top: 50px;
    max-height: 140px;
    overflow-y: scroll;
    scrollbar-width: none;
    font-size: 14px;
    color: var(--c-foreground-2);
}

#details .product .sizes {
    margin-top: 60px;
}

#details .product .sizes-title {
    font-size: 14px;
    color: var(--c-foreground-2);
}

#details .product .sizes-box {
    margin-top: 20px;
    font-size: 0;
}

#details .product .sizes-item {
    display: inline-flex;
    margin: 0 0 10px 10px;
    width: 38px;
    height: 38px;
    justify-content: center;
    align-items: center;
    border: 1px solid transparent;
    cursor: pointer;
    transition: border-color .3s, color .3s;
    font-family: var(--f-family-3);
    font-size: 12px;
    background: var(--c-background-2);
}

#details .product .sizes-item:hover,
#details .product .sizes-item.active {
    border-color: #0075ff;
    color: #0075ff;
}

#details .product .colors {
    margin-top: 60px;
}

#details .product .colors-title {
    font-size: 14px;
    color: var(--c-foreground-2);
}

#details .product .colors-box {
    margin-top: 20px;
    font-size: 0;
}

#details .product .colors-item {
    display: inline-block;
    margin: 0 0 10px 10px;
    padding: 7px 20px;
    border: 1px solid transparent;
    transition: border-color .3s, color .3s;
    font-family: var(--f-family-1);
    font-size: 13px;
    background: var(--c-background-2);
}

#details .product .colors-item.instock {
    cursor: pointer;
}

#details .product .colors-item.outofstock {
    color: red;
}

#details .product .colors-item.instock:hover,
#details .product .colors-item.instock.active {
    border-color: #0075ff;
    color: #0075ff;
}

#details .product .interactions {
    margin-top: 60px;
}

#details .product .action {
    padding: 10px 0;
    width: 334px;
    border: 1px solid var(--c-border-1);
    border-radius: 5px;
    cursor: not-allowed;
    transition: color .3s, background-color .3s;
    font-family: var(--f-family-1);
    font-size: 16px;
    color: var(--c-foreground-2);
    background: var(--c-background-2);
}

#details .product .action.instock {
    border-color: transparent;
    cursor: pointer;
    transition: filter .3s;
    color: white;
    background: var(--c-theme-1);
}

#details .product .action.instock:hover {
    filter: brightness(1.05);
}

#details .product .stock {
    font-family: var(--f-family-1);
    font-size: 14px;
    color: var(--c-foreground-2);
}

@media (max-width: 768px) {
    #details .product .name {
        max-width: 100%;
    }

    #details .product .price-current {
        margin-top: 50px;
    }
}

@media (max-width: 576px) {
    #details .product .action {
        width: 100%;
    }
}